package com.muyu.server.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.WarnStrategy;
import com.muyu.common.domain.req.WarnStrategyReq;
import com.muyu.common.domain.resp.WarnStrategyResp;

import java.util.List;

/**
 * 预警策略Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface WarnStrategyService extends IService<WarnStrategy> {
    /**
     * 精确查询预警策略
     *
     * @param id 预警策略主键
     * @return 预警策略
     */
    public WarnStrategy selectWarnStrategyById(Long id);

    /**
     * 查询预警策略列表
     *
     * @param warnStrategyReq 预警策略
     * @return 预警策略集合
     */
    public List<WarnStrategyResp> selectWarnStrategyList(WarnStrategyReq warnStrategyReq);

    /**
     * 删除
     */
    public Integer deleteWarnStrategy(Long id);



    /**
     * 修改
     */
    Integer updWarnStrategy(WarnStrategy warnStrategy);

    /**
     * 添加
     */
    Integer addWarnStrategy(WarnStrategy warnStrategy);

    /**
     * 根据车辆类型ID查询策略
     */
    List<WarnStrategyResp> selectListByCarType(Long carTypeId);

}
